Subject: bug#59141: 28.1.90; Face :extend when all the line but trailing \n is invisible

From: Juri Linkov <[email-masked]>
Date: Mon, 14 Nov 2022 09:43:19 +0200

> * when a hunk is folded, the background for the final newline of the
>   hunk content (#100f10) does not "bleed" into the hunk header's
>   extension,
>
> * instead, this hunk header's extension keeps the color it has when the
>   hunk is unfolded, i.e. the same color as the rest of the header
>   (#323232).
>
> Let me know if that clarifies things, or if I've misunderstood what you
> are asking for.

Thanks for the clarification.  One thing I still don't understand is
does magit use outline-mode?  I see the outline indicators in the left margin
that are available from outline-minor-mode.  But the mode-line shows that
outline-mode is not enabled.  And indeed, there are two things that confirm
that outline-mode is not used: 1. there is no ellipsis at the end of the
outline heading lines; 2. currently outline-mode is unable to use the
face attribute ':extended' to extend the face of the outline headings
to the end of the window as it's shown on your screenshot, because the
outline faces are not added to the newline on the outline heading line.